API KeysShow API key details

Show API key details

curl -X GET "https://api.5centscdn.com/v2/account/api/12345" \
  -H "Content-Type: application/json" \
  -H "X-API-Key: YOUR_API_KEY"
{
  "result": "success",
  "apikey": {
    "id": 12345,
    "serviceid": 10001,
    "name": "sample-api-key",
    "description": "Used by the mobile app",
    "permission": [
      "read",
      "create"
    ],
    "hash": "sample-api-key-hash-value"
  }
}
GET
/account/api/{apikeyid}
GET
Base URLstring

Target server for requests. Edit to use your own host.

API Key (header: X-API-Key)
X-API-Keystring
Required

API key (sent in header)

path
apikeyidinteger
Required

Unique identifier of the API key record.

Request Preview
Response

Response will appear here after sending the request

Authentication

header
X-API-Keystring
Required

API Key for authentication. Provide your API key in the header.

Path Parameters

apikeyidinteger
Required

Unique identifier of the API key record.

Responses

resultstring

Operation outcome.

apikeyobject

API key record with permissions and token details.